Git requires zip?

5 messages, 3 authors, 2016-06-15 · open the first message on its own page

Git requires zip?

From: Linus Torvalds <torvalds@linux-foundation.org>
Date: 2016-06-15 22:43:14

It really shouldn't, but "make test" seems very unhappy if the machine 
doesn't have it, and I don't see anything that disables the tests for that 
case..

		Linus

Re: Git requires zip?

From: Johannes Schindelin <hidden>
Date: 2016-06-15 22:43:14

Hi,

On Tue, 5 Jun 2007, Linus Torvalds wrote:
It really shouldn't, but "make test" seems very unhappy if the machine 
doesn't have it, and I don't see anything that disables the tests for 
that case..
I seem to remember that I patched it already.

http://thread.gmane.org/gmane.comp.version-control.git/46854/focus=46899

Unfortunately, the patch was incorrect, and I forgot to do it properly. 
Will try this afternoon.

Sorry,
Dscho

[PATCH] t5000: skip ZIP tests if unzip was not found

From: Johannes Schindelin <hidden>
Date: 2016-06-15 22:43:14

Signed-off-by: Johannes Schindelin <redacted>

---

	On Tue, 5 Jun 2007, Johannes Schindelin wrote:

	> I seem to remember that I patched it already.
	> 
	> http://thread.gmane.org/gmane.comp.version-control.git/46854/focus=46899
	> 
	> Unfortunately, the patch was incorrect, and I forgot to do it 
	> properly. Will try this afternoon.

	So, took me some more time. Sorry.

 t/t5000-tar-tree.sh |    7 +++++++
 1 files changed, 7 insertions(+), 0 deletions(-)
diff --git a/t/t5000-tar-tree.sh b/t/t5000-tar-tree.sh
index e223c07..5500505 100755
--- a/t/t5000-tar-tree.sh
+++ b/t/t5000-tar-tree.sh
@@ -108,6 +108,13 @@ test_expect_success \
     'git-archive --format=zip' \
     'git-archive --format=zip HEAD >d.zip'
 
+$UNZIP -v 2>/dev/null
+if [ $? -eq 127 ]; then
+	echo "Skipping ZIP tests, because unzip was not found"
+	test_done
+	exit
+fi
+
 test_expect_success \
     'extract ZIP archive' \
     '(mkdir d && cd d && $UNZIP ../d.zip)'

[PATCH] t5000: silence unzip availability check

From: René Scharfe <hidden>
Date: 2016-06-15 22:43:15

unzip -v on (at least) Ubuntu prints a screenful of version info
to stdout.  Get rid of it since we only want to know if unzip is
installed or not.

Signed-off-by: Rene Scharfe <redacted>
---
diff --git a/t/t5000-tar-tree.sh b/t/t5000-tar-tree.sh
index 5500505..a6c5bf6 100755
--- a/t/t5000-tar-tree.sh
+++ b/t/t5000-tar-tree.sh
@@ -108,7 +108,7 @@ test_expect_success \
     'git-archive --format=zip' \
     'git-archive --format=zip HEAD >d.zip'
 
-$UNZIP -v 2>/dev/null
+$UNZIP -v >/dev/null 2>&1
 if [ $? -eq 127 ]; then
 	echo "Skipping ZIP tests, because unzip was not found"
 	test_done

Re: [PATCH] t5000: silence unzip availability check

From: Johannes Schindelin <hidden>
Date: 2016-06-15 22:43:15

Hi,

On Sat, 9 Jun 2007, René Scharfe wrote:
unzip -v on (at least) Ubuntu prints a screenful of version info
to stdout.  Get rid of it since we only want to know if unzip is
installed or not.
Makes sense, absolutely.

ACK,
Dscho
Keyboard shortcuts
hback out one level
jnext message in thread
kprevious message in thread
ldrill in
Escclose help / fold thread tree
?toggle this help